package com.utopiaindustries.model.ctp;

import java.time.LocalDateTime;

public class InventoryAccount {

    private long id;
    private String title;
    private String parentEntityType;
    private long parentEntityId;
    private Boolean active;
    private String createdBy;
    private LocalDateTime createdAt;
    private Integer locationSiteId;
    private String notes;
    private Boolean isPackaging;
    //wrapper
    private String locationTitle;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getParentEntityType() {
        return parentEntityType;
    }

    public void setParentEntityType(String parentEntityType) {
        this.parentEntityType = parentEntityType;
    }

    public long getParentEntityId() {
        return parentEntityId;
    }

    public void setParentEntityId(long parentEntityId) {
        this.parentEntityId = parentEntityId;
    }

    public Boolean getActive() {
        return active;
    }

    public void setActive(Boolean active) {
        this.active = active;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public LocalDateTime getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(LocalDateTime createdAt) {
        this.createdAt = createdAt;
    }

    public Integer getLocationSiteId() {
        return locationSiteId;
    }

    public void setLocationSiteId(Integer locationSiteId) {
        this.locationSiteId = locationSiteId;
    }

    public String getNotes() {
        return notes;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public Boolean getIsPackaging() {
        return isPackaging;
    }

    public void setIsPackaging(Boolean isPackaging) {
        this.isPackaging = isPackaging;
    }

    public String getLocationTitle() {
        return locationTitle;
    }

    public void setLocationTitle(String locationTitle) {
        this.locationTitle = locationTitle;
    }


    @Override
    public String toString() {
        return "InventoryAccount{" +
                "id=" + id +
                ", title='" + title + '\'' +
                ", parentEntityType='" + parentEntityType + '\'' +
                ", parentEntityId=" + parentEntityId +
                ", active=" + active +
                ", createdBy='" + createdBy + '\'' +
                ", createdAt=" + createdAt +
                ", locationSiteId=" + locationSiteId +
                ", notes='" + notes + '\'' +
                ", isPackaging=" + isPackaging +
                ", locationTitle='" + locationTitle + '\'' +
                '}';
    }
}
